#####################################################################################
# (c) Copyright 2024 CERN for the benefit of the LHCb and ATLAS collaborations      #
#                                                                                   #
# This software is distributed under the terms of the Apache version 2 licence,     #
# copied verbatim in the file "LICENSE".                                            #
#                                                                                   #
# In applying this licence, CERN does not waive the privileges and immunities       #
# granted to it by virtue of its status as an Intergovernmental Organization        #
# or submit itself to any jurisdiction.                                             #
#####################################################################################
from GaudiTesting import GaudiExeTest


class Test(GaudiExeTest):
    command = ["../scripts/pids.py"]

    test_block = GaudiExeTest.find_reference_block("""
        ApplicationMgr       INFO Application Manager Initialized successfully
        (-1000020040, 1000020040, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, -6, 1, 0, 0, 2, 4, 0, 0, 100)
        (-1000020030, 1000020030, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, -6, 2, 0, 0, 2, 3, 0, 0, 100)
        (-1000010030, 1000010030, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, -3, 2, 0, 0, 1, 3, 0, 0, 100)
        (-1000010020, 1000010020, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, -3, 1, 0, 0, 1, 2, 0, 0, 100)
        (-990000000, 990000000, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 0, 99)
        (-99000000, 99000000, False, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 0, 9)
        (-9900042, 9900042, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -6, 1, 0, 0, 0, 0, 0, 9, 0)
        (-9900041, 9900041, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -6, 1, 0, 0, 0, 0, 0, 9, 0)
        (-9900024, 9900024, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 3, 0, 0, 0, 0, 0, 24, 0)
        (-9042413, 9042413, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, -3, 3, 0, 0, 0, 0, 0, 0, 0)
        (-9010213, 9010213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 3, 0, 0, 0, 0, 0, 0, 0)
        (-9010211, 9010211, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-9000213, 9000213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 3, 0, 0, 0, 0, 0, 0, 0)
        (-9000211, 9000211, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-4900213, 4900213, True, False, False, False, False, False, False, False, True, False, True, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (-4900211, 4900211, True, False, False, False, False, False, False, False, True, False, True, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (-4900101, 4900101, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (-4000012, 4000012, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 12, 0)
        (-4000011, 4000011, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 11, 0)
        (-4000002, 4000002, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -2, 2, 0, 0, 0, 0, 0, 2, 0)
        (-4000001, 4000001, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 1, 2, 0, 0, 0, 0, 0, 1, 0)
        (-3000213, 3000213, True, False, False, False, False, False, False, False, True, True, True, False, False, False, False, False, False, -3, 3, 0, 0, 0, 0, 0, 0, 0)
        (-3000211, 3000211, True, False, False, False, False, False, False, False, True, True, True, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-2000016, 2000016, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 16, 0)
        (-2000015, 2000015, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 15, 0)
        (-2000014, 2000014, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 14, 0)
        (-2000013, 2000013, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 13, 0)
        (-2000012, 2000012, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 12, 0)
        (-2000011, 2000011, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 11, 0)
        (-2000006, 2000006, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -2, 1, 0, 0, 0, 0, 0, 6, 0)
        (-2000005, 2000005, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 1, 1, 0, 0, 0, 0, 0, 5, 0)
        (-2000004, 2000004, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -2, 1, 0, 0, 0, 0, 0, 4, 0)
        (-2000003, 2000003, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 1, 1, 0, 0, 0, 0, 0, 3, 0)
        (-2000002, 2000002, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -2, 1, 0, 0, 0, 0, 0, 2, 0)
        (-2000001, 2000001, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 1, 1, 0, 0, 0, 0, 0, 1, 0)
        (-1000037, 1000037, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 37, 0)
        (-1000024, 1000024, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 24, 0)
        (-1000016, 1000016, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 16, 0)
        (-1000015, 1000015, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 15, 0)
        (-1000014, 1000014, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 14, 0)
        (-1000013, 1000013, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 13, 0)
        (-1000012, 1000012, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 12, 0)
        (-1000011, 1000011, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 11, 0)
        (-1000006, 1000006, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -2, 1, 0, 0, 0, 0, 0, 6, 0)
        (-1000005, 1000005, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 1, 1, 0, 0, 0, 0, 0, 5, 0)
        (-1000004, 1000004, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -2, 1, 0, 0, 0, 0, 0, 4, 0)
        (-1000003, 1000003, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 1, 1, 0, 0, 0, 0, 0, 3, 0)
        (-1000002, 1000002, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -2, 1, 0, 0, 0, 0, 0, 2, 0)
        (-1000001, 1000001, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 1, 1, 0, 0, 0, 0, 0, 1, 0)
        (-204126, 204126, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-203338, 203338, True, True, False, True, True, False, False, False, True, False, False, True, False, False, False, False, False, 3, 8, 0, 0, 0, 0, 0, 0, 0)
        (-203326, 203326, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (-203322, 203322, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-203316, 203316, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-203312, 203312, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-104324, 104324, True, True, False, True, True, False, False, False, True, False, True, True, True, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-104322, 104322, True, True, False, True, True, False, False, False, True, False, True, True, True, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-104314, 104314, True, True, False, True, True, False, False, False, True, True, False, True, True, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-104312, 104312, True, True, False, True, True, False, False, False, True, True, False, True, True, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-104124, 104124, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-103326, 103326, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (-103316, 103316, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-103222, 103222, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-103212, 103212, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-103112, 103112, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-100423, 100423, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (-100421, 100421, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (-100413, 100413, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, -3, 3, 1, 0, 0, 0, 0, 0, 0)
        (-100411, 100411, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-100325, 100325, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 5, 1, 1, 0, 0, 0, 0, 0)
        (-100323, 100323, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 3, 1, 0, 0, 0, 0, 0, 0)
        (-100321, 100321, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-100315, 100315, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (-100313, 100313, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (-100311, 100311, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (-100213, 100213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 3, 1, 0, 0, 0, 0, 0, 0)
        (-100211, 100211, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-53122, 53122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-52214, 52214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-52114, 52114, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-43122, 43122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-42212, 42212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-42124, 42124, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-42112, 42112, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-41214, 41214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-33122, 33122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-32224, 32224, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, -6, 4, 0, 0, 0, 0, 0, 0, 0)
        (-32214, 32214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-32212, 32212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-32124, 32124, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-32114, 32114, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-32112, 32112, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-31214, 31214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-31114, 31114, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-30363, 30363, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (-30353, 30353, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 3, 0, 0, 0, 0, 0, 0, 0)
        (-30343, 30343, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (-30323, 30323, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 3, 1, 2, 0, 0, 0, 0, 0)
        (-30313, 30313, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 3, 1, 2, 0, 0, 0, 0, 0)
        (-30213, 30213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 3, 1, 2, 0, 0, 0, 0, 0)
        (-23224, 23224, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-23222, 23222, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-23214, 23214, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-23212, 23212, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-23126, 23126, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (-23124, 23124, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-23122, 23122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-23114, 23114, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-23112, 23112, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-22224, 22224, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, -6, 4, 0, 0, 0, 0, 0, 0, 0)
        (-22222, 22222, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, -6, 2, 0, 0, 0, 0, 0, 0, 0)
        (-22214, 22214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-22212, 22212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-22124, 22124, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-22122, 22122, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-22114, 22114, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-22112, 22112, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-21214, 21214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-21212, 21212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-21114, 21114, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-21112, 21112, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-20543, 20543, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, -3, 3, 1, 1, 0, 0, 0, 0, 0)
        (-20533, 20533, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (-20523, 20523, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, -3, 3, 1, 1, 0, 0, 0, 0, 0)
        (-20513, 20513, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (-20433, 20433, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, -3, 3, 1, 1, 0, 0, 0, 0, 0)
        (-20423, 20423, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (-20413, 20413, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, -3, 3, 1, 1, 0, 0, 0, 0, 0)
        (-20325, 20325, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 5, 1, 2, 0, 0, 0, 0, 0)
        (-20323, 20323, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 3, 1, 1, 0, 0, 0, 0, 0)
        (-20315, 20315, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 5, 1, 2, 0, 0, 0, 0, 0)
        (-20313, 20313, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (-20213, 20213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 3, 1, 1, 0, 0, 0, 0, 0)
        (-15122, 15122, True, True, False, True, True, False, False, False, True, True, True, False, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-14122, 14122, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-13324, 13324, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-13314, 13314, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-13226, 13226, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-13224, 13224, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-13222, 13222, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-13216, 13216, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (-13214, 13214, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-13212, 13212, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-13126, 13126, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (-13124, 13124, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-13122, 13122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-13116, 13116, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-13114, 13114, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-13112, 13112, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-12226, 12226, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, -6, 6, 0, 0, 0, 0, 0, 0, 0)
        (-12224, 12224, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, -6, 4, 0, 0, 0, 0, 0, 0, 0)
        (-12222, 12222, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, -6, 2, 0, 0, 0, 0, 0, 0, 0)
        (-12218, 12218, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 8, 0, 0, 0, 0, 0, 0, 0)
        (-12216, 12216, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-12214, 12214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-12212, 12212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-12126, 12126, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-12122, 12122, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-12118, 12118, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 8, 0, 0, 0, 0, 0, 0, 0)
        (-12116, 12116, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (-12114, 12114, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-12112, 12112, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-11216, 11216, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (-11212, 11212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-11116, 11116, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-11114, 11114, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-11112, 11112, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-10543, 10543, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, -3, 3, 0, 1, 0, 0, 0, 0, 0)
        (-10541, 10541, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, -3, 1, 1, 1, 0, 0, 0, 0, 0)
        (-10533, 10533, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (-10531, 10531, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (-10523, 10523, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, -3, 3, 0, 1, 0, 0, 0, 0, 0)
        (-10521, 10521, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, -3, 1, 1, 1, 0, 0, 0, 0, 0)
        (-10513, 10513, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (-10511, 10511, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (-10433, 10433, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, -3, 3, 0, 1, 0, 0, 0, 0, 0)
        (-10431, 10431, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, -3, 1, 1, 1, 0, 0, 0, 0, 0)
        (-10423, 10423, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (-10421, 10421, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (-10413, 10413, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, -3, 3, 0, 1, 0, 0, 0, 0, 0)
        (-10411, 10411, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, -3, 1, 1, 1, 0, 0, 0, 0, 0)
        (-10325, 10325, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 5, 0, 2, 0, 0, 0, 0, 0)
        (-10323, 10323, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 3, 0, 1, 0, 0, 0, 0, 0)
        (-10321, 10321, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 1, 1, 1, 0, 0, 0, 0, 0)
        (-10315, 10315, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 5, 0, 2, 0, 0, 0, 0, 0)
        (-10313, 10313, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (-10311, 10311, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (-10215, 10215, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 5, 0, 2, 0, 0, 0, 0, 0)
        (-10213, 10213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 3, 0, 1, 0, 0, 0, 0, 0)
        (-10211, 10211, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 1, 1, 1, 0, 0, 0, 0, 0)
        (-5554, 5554, True, True, False, True, True, False, False, False, True, False, False, False, False, True, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5544, 5544, True, True, False, True, True, False, False, False, True, False, False, False, True, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5542, 5542, True, True, False, True, True, False, False, False, True, False, False, False, True, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5534, 5534, True, True, False, True, True, False, False, False, True, False, False, True, False, True, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5532, 5532, True, True, False, True, True, False, False, False, True, False, False, True, False, True, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5524, 5524, True, True, False, True, True, False, False, False, True, False, True, False, False, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5522, 5522, True, True, False, True, True, False, False, False, True, False, True, False, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5514, 5514, True, True, False, True, True, False, False, False, True, True, False, False, False, True, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5512, 5512, True, True, False, True, True, False, False, False, True, True, False, False, False, True, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5503, 5503, True, True, False, False, False, False, False, False, True, False, False, False, False, True, False, False, False, 2, 3, 0, 0, 0, 0, 0, 0, 0)
        (-5444, 5444, True, True, False, True, True, False, False, False, True, False, False, False, True, True, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5442, 5442, True, True, False, True, True, False, False, False, True, False, False, False, True, True, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5434, 5434, True, True, False, True, True, False, False, False, True, False, False, True, True, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5432, 5432, True, True, False, True, True, False, False, False, True, False, False, True, True, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5424, 5424, True, True, False, True, True, False, False, False, True, False, True, False, True, True, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5422, 5422, True, True, False, True, True, False, False, False, True, False, True, False, True, True, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5414, 5414, True, True, False, True, True, False, False, False, True, True, False, False, True, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5412, 5412, True, True, False, True, True, False, False, False, True, True, False, False, True, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5403, 5403, True, True, False, False, False, False, False, False, True, False, False, False, True, True, False, False, False, -1, 3, 0, 0, 0, 0, 0, 0, 0)
        (-5401, 5401, True, True, False, False, False, False, False, False, True, False, False, False, True, True, False, False, False, -1, 1, 0, 0, 0, 0, 0, 0, 0)
        (-5342, 5342, True, True, False, True, True, False, False, False, True, False, False, True, True, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5334, 5334, True, True, False, True, True, False, False, False, True, False, False, True, False, True, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5332, 5332, True, True, False, True, True, False, False, False, True, False, False, True, False, True, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5324, 5324, True, True, False, True, True, False, False, False, True, False, True, True, False, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5322, 5322, True, True, False, True, True, False, False, False, True, False, True, True, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5314, 5314, True, True, False, True, True, False, False, False, True, True, False, True, False, True, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5312, 5312, True, True, False, True, True, False, False, False, True, True, False, True, False, True, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5303, 5303, True, True, False, False, False, False, False, False, True, False, False, True, False, True, False, False, False, 2, 3, 0, 0, 0, 0, 0, 0, 0)
        (-5301, 5301, True, True, False, False, False, False, False, False, True, False, False, True, False, True, False, False, False, 2, 1, 0, 0, 0, 0, 0, 0, 0)
        (-5242, 5242, True, True, False, True, True, False, False, False, True, False, True, False, True, True, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5232, 5232, True, True, False, True, True, False, False, False, True, False, True, True, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5224, 5224, True, True, False, True, True, False, False, False, True, False, True, False, False, True, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5222, 5222, True, True, False, True, True, False, False, False, True, False, True, False, False, True, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5214, 5214, True, True, False, True, True, False, False, False, True, True, True, False, False, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5212, 5212, True, True, False, True, True, False, False, False, True, True, True, False, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5203, 5203, True, True, False, False, False, False, False, False, True, False, True, False, False, True, False, False, False, -1, 3, 0, 0, 0, 0, 0, 0, 0)
        (-5201, 5201, True, True, False, False, False, False, False, False, True, False, True, False, False, True, False, False, False, -1, 1, 0, 0, 0, 0, 0, 0, 0)
        (-5142, 5142, True, True, False, True, True, False, False, False, True, True, False, False, True, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5132, 5132, True, True, False, True, True, False, False, False, True, True, False, True, False, True, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5124, 5124, True, True, False, True, True, False, False, False, True, True, True, False, False, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5122, 5122, True, True, False, True, True, False, False, False, True, True, True, False, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5114, 5114, True, True, False, True, True, False, False, False, True, True, False, False, False, True, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-5112, 5112, True, True, False, True, True, False, False, False, True, True, False, False, False, True, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-5103, 5103, True, True, False, False, False, False, False, False, True, True, False, False, False, True, False, False, False, 2, 3, 0, 0, 0, 0, 0, 0, 0)
        (-5101, 5101, True, True, False, False, False, False, False, False, True, True, False, False, False, True, False, False, False, 2, 1, 0, 0, 0, 0, 0, 0, 0)
        (-4444, 4444, True, True, False, True, True, False, False, False, True, False, False, False, True, False, False, False, False, -6, 4, 0, 0, 0, 0, 0, 0, 0)
        (-4434, 4434, True, True, False, True, True, False, False, False, True, False, False, True, True, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-4432, 4432, True, True, False, True, True, False, False, False, True, False, False, True, True, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4424, 4424, True, True, False, True, True, False, False, False, True, False, True, False, True, False, False, False, False, -6, 4, 0, 0, 0, 0, 0, 0, 0)
        (-4422, 4422, True, True, False, True, True, False, False, False, True, False, True, False, True, False, False, False, False, -6, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4414, 4414, True, True, False, True, True, False, False, False, True, True, False, False, True, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-4412, 4412, True, True, False, True, True, False, False, False, True, True, False, False, True, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4403, 4403, True, True, False, False, False, False, False, False, True, False, False, False, True, False, False, False, False, -4, 3, 0, 0, 0, 0, 0, 0, 0)
        (-4334, 4334, True, True, False, True, True, False, False, False, True, False, False, True, True, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-4332, 4332, True, True, False, True, True, False, False, False, True, False, False, True, True, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4324, 4324, True, True, False, True, True, False, False, False, True, False, True, True, True, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-4322, 4322, True, True, False, True, True, False, False, False, True, False, True, True, True, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4314, 4314, True, True, False, True, True, False, False, False, True, True, False, True, True, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-4312, 4312, True, True, False, True, True, False, False, False, True, True, False, True, True, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4303, 4303, True, True, False, False, False, False, False, False, True, False, False, True, True, False, False, False, False, -1, 3, 0, 0, 0, 0, 0, 0, 0)
        (-4301, 4301, True, True, False, False, False, False, False, False, True, False, False, True, True, False, False, False, False, -1, 1, 0, 0, 0, 0, 0, 0, 0)
        (-4232, 4232, True, True, False, True, True, False, False, False, True, False, True, True, True, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4224, 4224, True, True, False, True, True, False, False, False, True, False, True, False, True, False, False, False, False, -6, 4, 0, 0, 0, 0, 0, 0, 0)
        (-4222, 4222, True, True, False, True, True, False, False, False, True, False, True, False, True, False, False, False, False, -6, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4214, 4214, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-4212, 4212, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4203, 4203, True, True, False, False, False, False, False, False, True, False, True, False, True, False, False, False, False, -4, 3, 0, 0, 0, 0, 0, 0, 0)
        (-4201, 4201, True, True, False, False, False, False, False, False, True, False, True, False, True, False, False, False, False, -4, 1, 0, 0, 0, 0, 0, 0, 0)
        (-4132, 4132, True, True, False, True, True, False, False, False, True, True, False, True, True, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4122, 4122, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4114, 4114, True, True, False, True, True, False, False, False, True, True, False, False, True, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-4112, 4112, True, True, False, True, True, False, False, False, True, True, False, False, True, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-4103, 4103, True, True, False, False, False, False, False, False, True, True, False, False, True, False, False, False, False, -1, 3, 0, 0, 0, 0, 0, 0, 0)
        (-4101, 4101, True, True, False, False, False, False, False, False, True, True, False, False, True, False, False, False, False, -1, 1, 0, 0, 0, 0, 0, 0, 0)
        (-3334, 3334, True, True, False, True, True, False, False, False, True, False, False, True, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-3324, 3324, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-3322, 3322, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-3314, 3314, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-3312, 3312, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-3303, 3303, True, True, False, False, False, False, False, False, True, False, False, True, False, False, False, False, False, 2, 3, 0, 0, 0, 0, 0, 0, 0)
        (-3228, 3228, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 8, 0, 0, 0, 0, 0, 0, 0)
        (-3226, 3226, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-3224, 3224, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-3222, 3222, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-3218, 3218, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 8, 0, 0, 0, 0, 0, 0, 0)
        (-3216, 3216, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (-3214, 3214, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-3212, 3212, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-3203, 3203, True, True, False, False, False, False, False, False, True, False, True, True, False, False, False, False, False, -1, 3, 0, 0, 0, 0, 0, 0, 0)
        (-3201, 3201, True, True, False, False, False, False, False, False, True, False, True, True, False, False, False, False, False, -1, 1, 0, 0, 0, 0, 0, 0, 0)
        (-3128, 3128, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 8, 0, 0, 0, 0, 0, 0, 0)
        (-3126, 3126, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (-3124, 3124, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-3122, 3122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-3118, 3118, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 8, 0, 0, 0, 0, 0, 0, 0)
        (-3116, 3116, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-3114, 3114, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-3112, 3112, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-3103, 3103, True, True, False, False, False, False, False, False, True, True, False, True, False, False, False, False, False, 2, 3, 0, 0, 0, 0, 0, 0, 0)
        (-3101, 3101, True, True, False, False, False, False, False, False, True, True, False, True, False, False, False, False, False, 2, 1, 0, 0, 0, 0, 0, 0, 0)
        (-2228, 2228, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, -6, 8, 0, 0, 0, 0, 0, 0, 0)
        (-2226, 2226, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, -6, 6, 0, 0, 0, 0, 0, 0, 0)
        (-2224, 2224, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, -6, 4, 0, 0, 0, 0, 0, 0, 0)
        (-2222, 2222, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, -6, 2, 0, 0, 0, 0, 0, 0, 0)
        (-2218, 2218, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 8, 0, 0, 0, 0, 0, 0, 0)
        (-2216, 2216, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-2214, 2214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-2212, 2212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-2203, 2203, True, True, False, False, False, False, False, False, True, False, True, False, False, False, False, False, False, -4, 3, 0, 0, 0, 0, 0, 0, 0)
        (-2128, 2128, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 8, 0, 0, 0, 0, 0, 0, 0)
        (-2126, 2126, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-2124, 2124, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-2122, 2122, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-2118, 2118, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 8, 0, 0, 0, 0, 0, 0, 0)
        (-2116, 2116, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (-2114, 2114, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-2112, 2112, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-2103, 2103, True, True, False, False, False, False, False, False, True, True, True, False, False, False, False, False, False, -1, 3, 0, 0, 0, 0, 0, 0, 0)
        (-2101, 2101, True, True, False, False, False, False, False, False, True, True, True, False, False, False, False, False, False, -1, 1, 0, 0, 0, 0, 0, 0, 0)
        (-1218, 1218, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 8, 0, 0, 0, 0, 0, 0, 0)
        (-1216, 1216, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (-1214, 1214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (-1212, 1212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (-1118, 1118, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, 3, 8, 0, 0, 0, 0, 0, 0, 0)
        (-1116, 1116, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (-1114, 1114, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (-1112, 1112, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (-1103, 1103, True, True, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 2, 3, 0, 0, 0, 0, 0, 0, 0)
        (-545, 545, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, -3, 5, 1, 1, 0, 0, 0, 0, 0)
        (-543, 543, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, -3, 3, 1, 0, 0, 0, 0, 0, 0)
        (-541, 541, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-535, 535, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (-533, 533, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (-531, 531, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (-525, 525, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, -3, 5, 1, 1, 0, 0, 0, 0, 0)
        (-523, 523, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, -3, 3, 1, 0, 0, 0, 0, 0, 0)
        (-521, 521, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-515, 515, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (-513, 513, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (-511, 511, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (-435, 435, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, -3, 5, 1, 1, 0, 0, 0, 0, 0)
        (-433, 433, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, -3, 3, 1, 0, 0, 0, 0, 0, 0)
        (-431, 431, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-425, 425, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (-423, 423, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (-421, 421, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (-415, 415, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, -3, 5, 1, 1, 0, 0, 0, 0, 0)
        (-413, 413, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, -3, 3, 1, 0, 0, 0, 0, 0, 0)
        (-411, 411, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-329, 329, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 9, 1, 3, 0, 0, 0, 0, 0)
        (-327, 327, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 7, 1, 2, 0, 0, 0, 0, 0)
        (-325, 325, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 5, 1, 1, 0, 0, 0, 0, 0)
        (-323, 323, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 3, 1, 0, 0, 0, 0, 0, 0)
        (-321, 321, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-319, 319, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 9, 1, 3, 0, 0, 0, 0, 0)
        (-317, 317, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 7, 1, 2, 0, 0, 0, 0, 0)
        (-315, 315, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (-313, 313, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (-311, 311, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (-219, 219, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 9, 1, 3, 0, 0, 0, 0, 0)
        (-217, 217, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 7, 1, 2, 0, 0, 0, 0, 0)
        (-215, 215, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 5, 1, 1, 0, 0, 0, 0, 0)
        (-213, 213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 3, 1, 0, 0, 0, 0, 0, 0)
        (-211, 211, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 0, 0)
        (-87, 87, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 1, 0, 0, 0, 0, 0, 0, 87, 0)
        (-86, 86, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -2, 0, 0, 0, 0, 0, 0, 86, 0)
        (-85, 85, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 1, 0, 0, 0, 0, 0, 0, 85, 0)
        (-84, 84, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -2, 0, 0, 0, 0, 0, 0, 84, 0)
        (-82, 82, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 82, 0)
        (-44, 44, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 0, 0, 0, 0, 0, 0, 44, 0)
        (-42, 42, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 1, 1, 0, 0, 0, 0, 0, 42, 0)
        (-41, 41, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 41, 0)
        (-37, 37, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 37, 0)
        (-34, 34, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 3, 0, 0, 0, 0, 0, 34, 0)
        (-24, 24, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 3, 0, 0, 0, 0, 0, 24, 0)
        (-18, 18, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 18, 0)
        (-17, 17, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 17, 0)
        (-16, 16, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 16, 0)
        (-15, 15, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 15, 0)
        (-14, 14, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 14, 0)
        (-13, 13, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 13, 0)
        (-12, 12, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 12, 0)
        (-11, 11, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 11, 0)
        (-8, 8, True, True, False, False, False, False, False, True, False, False, False, False, False, False, False, False, True, -2, 2, 0, 0, 0, 0, 0, 8, 0)
        (-7, 7, True, True, False, False, False, False, False, True, False, False, False, False, False, False, False, True, False, 1, 2, 0, 0, 0, 0, 0, 7, 0)
        (-6, 6, True, True, False, False, False, False, False, True, False, False, False, False, False, False, True, False, False, -2, 2, 0, 0, 0, 0, 0, 6, 0)
        (-5, 5, True, True, False, False, False, False, False, True, False, False, False, False, False, True, False, False, False, 1, 2, 0, 0, 0, 0, 0, 5, 0)
        (-4, 4, True, True, False, False, False, False, False, True, False, False, False, False, True, False, False, False, False, -2, 2, 0, 0, 0, 0, 0, 4, 0)
        (-3, 3, True, True, False, False, False, False, False, True, False, False, False, True, False, False, False, False, False, 1, 2, 0, 0, 0, 0, 0, 3, 0)
        (-2, 2, True, True, False, False, False, False, False, True, False, False, True, False, False, False, False, False, False, -2, 2, 0, 0, 0, 0, 0, 2, 0)
        (-1, 1, True, True, False, False, False, False, False, True, False, True, False, False, False, False, False, False, False, 1, 2, 0, 0, 0, 0, 0, 1, 0)
        (1, 1, True, True, False, False, False, False, False, True, False, True, False, False, False, False, False, False, False, -1, 2, 0, 0, 0, 0, 0, 1, 0)
        (2, 2, True, True, False, False, False, False, False, True, False, False, True, False, False, False, False, False, False, 2, 2, 0, 0, 0, 0, 0, 2, 0)
        (3, 3, True, True, False, False, False, False, False, True, False, False, False, True, False, False, False, False, False, -1, 2, 0, 0, 0, 0, 0, 3, 0)
        (4, 4, True, True, False, False, False, False, False, True, False, False, False, False, True, False, False, False, False, 2, 2, 0, 0, 0, 0, 0, 4, 0)
        (5, 5, True, True, False, False, False, False, False, True, False, False, False, False, False, True, False, False, False, -1, 2, 0, 0, 0, 0, 0, 5, 0)
        (6, 6, True, True, False, False, False, False, False, True, False, False, False, False, False, False, True, False, False, 2, 2, 0, 0, 0, 0, 0, 6, 0)
        (7, 7, True, True, False, False, False, False, False, True, False, False, False, False, False, False, False, True, False, -1, 2, 0, 0, 0, 0, 0, 7, 0)
        (8, 8, True, True, False, False, False, False, False, True, False, False, False, False, False, False, False, False, True, 2, 2, 0, 0, 0, 0, 0, 8, 0)
        (11, 11, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 11, 0)
        (12, 12, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 12, 0)
        (13, 13, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 13, 0)
        (14, 14, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 14, 0)
        (15, 15, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 15, 0)
        (16, 16, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 16, 0)
        (17, 17, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 17, 0)
        (18, 18, True, True, False, False, False, True, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 18, 0)
        (21, 21, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 21, 0)
        (22, 22, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 22, 0)
        (23, 23, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 23, 0)
        (24, 24, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 3, 0, 0, 0, 0, 0, 24, 0)
        (25, 25, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 25, 0)
        (32, 32, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 32, 0)
        (33, 33, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 33, 0)
        (34, 34, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 3, 0, 0, 0, 0, 0, 34, 0)
        (35, 35, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 35, 0)
        (36, 36, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 36, 0)
        (37, 37, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 37, 0)
        (39, 39, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 5, 0, 0, 0, 0, 0, 39, 0)
        (41, 41, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 41, 0)
        (42, 42, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -1, 1, 0, 0, 0, 0, 0, 42, 0)
        (43, 43, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 43, 0)
        (44, 44, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 0, 0, 0, 0, 0, 0, 44, 0)
        (81, 81, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 81, 0)
        (82, 82, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 82, 0)
        (83, 83, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 83, 0)
        (84, 84, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 2, 0, 0, 0, 0, 0, 0, 84, 0)
        (85, 85, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -1, 0, 0, 0, 0, 0, 0, 85, 0)
        (86, 86, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 2, 0, 0, 0, 0, 0, 0, 86, 0)
        (87, 87, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -1, 0, 0, 0, 0, 0, 0, 87, 0)
        (88, 88, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 88, 0)
        (90, 90, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 90, 0)
        (91, 91, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 91, 0)
        (92, 92, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 92, 0)
        (93, 93, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 93, 0)
        (94, 94, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 94, 0)
        (95, 95, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 95, 0)
        (96, 96, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 96, 0)
        (97, 97, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 97, 0)
        (98, 98, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 98, 0)
        (99, 99, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 99, 0)
        (111, 111, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (113, 113, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (115, 115, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (117, 117, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 7, 1, 2, 0, 0, 0, 0, 0)
        (119, 119, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 9, 1, 3, 0, 0, 0, 0, 0)
        (130, 130, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (150, 150, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (211, 211, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (213, 213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 3, 1, 0, 0, 0, 0, 0, 0)
        (215, 215, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 5, 1, 1, 0, 0, 0, 0, 0)
        (217, 217, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 7, 1, 2, 0, 0, 0, 0, 0)
        (219, 219, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 9, 1, 3, 0, 0, 0, 0, 0)
        (221, 221, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (223, 223, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (225, 225, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (227, 227, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 7, 1, 2, 0, 0, 0, 0, 0)
        (229, 229, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 9, 1, 3, 0, 0, 0, 0, 0)
        (310, 310, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (311, 311, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (313, 313, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (315, 315, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (317, 317, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 7, 1, 2, 0, 0, 0, 0, 0)
        (319, 319, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 9, 1, 3, 0, 0, 0, 0, 0)
        (321, 321, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (323, 323, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 3, 1, 0, 0, 0, 0, 0, 0)
        (325, 325, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 5, 1, 1, 0, 0, 0, 0, 0)
        (327, 327, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 7, 1, 2, 0, 0, 0, 0, 0)
        (329, 329, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 9, 1, 3, 0, 0, 0, 0, 0)
        (331, 331, True, True, True, False, True, False, False, False, True, False, False, True, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (333, 333, True, True, True, False, True, False, False, False, True, False, False, True, False, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (335, 335, True, True, True, False, True, False, False, False, True, False, False, True, False, False, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (337, 337, True, True, True, False, True, False, False, False, True, False, False, True, False, False, False, False, False, 0, 7, 1, 2, 0, 0, 0, 0, 0)
        (350, 350, False, True, False, False, False, False, False, False, True, False, False, True, False, True, False, False, False, 0, 0, 0, 0, 0, 0, 0, 0, 0)
        (411, 411, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (413, 413, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, 3, 3, 1, 0, 0, 0, 0, 0, 0)
        (415, 415, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, 3, 5, 1, 1, 0, 0, 0, 0, 0)
        (421, 421, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (423, 423, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (425, 425, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (431, 431, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (433, 433, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, 3, 3, 1, 0, 0, 0, 0, 0, 0)
        (435, 435, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, 3, 5, 1, 1, 0, 0, 0, 0, 0)
        (441, 441, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (443, 443, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (445, 445, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (510, 510, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (511, 511, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (513, 513, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (515, 515, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (521, 521, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (523, 523, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, 3, 3, 1, 0, 0, 0, 0, 0, 0)
        (525, 525, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, 3, 5, 1, 1, 0, 0, 0, 0, 0)
        (530, 530, False, True, False, False, False, False, False, False, True, False, False, True, False, True, False, False, False, 0, 0, 0, 0, 0, 0, 0, 0, 0)
        (531, 531, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (533, 533, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (535, 535, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (541, 541, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (543, 543, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, 3, 3, 1, 0, 0, 0, 0, 0, 0)
        (545, 545, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, 3, 5, 1, 1, 0, 0, 0, 0, 0)
        (551, 551, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (553, 553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (555, 555, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (557, 557, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 7, 1, 2, 0, 0, 0, 0, 0)
        (1103, 1103, True, True, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, -2, 3, 0, 0, 0, 0, 0, 0, 0)
        (1112, 1112, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (1114, 1114, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (1116, 1116, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (1118, 1118, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, -3, 8, 0, 0, 0, 0, 0, 0, 0)
        (1212, 1212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (1214, 1214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (1216, 1216, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (1218, 1218, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 8, 0, 0, 0, 0, 0, 0, 0)
        (2101, 2101, True, True, False, False, False, False, False, False, True, True, True, False, False, False, False, False, False, 1, 1, 0, 0, 0, 0, 0, 0, 0)
        (2103, 2103, True, True, False, False, False, False, False, False, True, True, True, False, False, False, False, False, False, 1, 3, 0, 0, 0, 0, 0, 0, 0)
        (2112, 2112, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (2114, 2114, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (2116, 2116, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (2118, 2118, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 8, 0, 0, 0, 0, 0, 0, 0)
        (2122, 2122, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (2124, 2124, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (2126, 2126, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (2128, 2128, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 8, 0, 0, 0, 0, 0, 0, 0)
        (2203, 2203, True, True, False, False, False, False, False, False, True, False, True, False, False, False, False, False, False, 4, 3, 0, 0, 0, 0, 0, 0, 0)
        (2212, 2212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (2214, 2214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (2216, 2216, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (2218, 2218, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 8, 0, 0, 0, 0, 0, 0, 0)
        (2222, 2222, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, 6, 2, 0, 0, 0, 0, 0, 0, 0)
        (2224, 2224, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, 6, 4, 0, 0, 0, 0, 0, 0, 0)
        (2226, 2226, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, 6, 6, 0, 0, 0, 0, 0, 0, 0)
        (2228, 2228, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, 6, 8, 0, 0, 0, 0, 0, 0, 0)
        (3101, 3101, True, True, False, False, False, False, False, False, True, True, False, True, False, False, False, False, False, -2, 1, 0, 0, 0, 0, 0, 0, 0)
        (3103, 3103, True, True, False, False, False, False, False, False, True, True, False, True, False, False, False, False, False, -2, 3, 0, 0, 0, 0, 0, 0, 0)
        (3112, 3112, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (3114, 3114, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (3116, 3116, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (3118, 3118, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 8, 0, 0, 0, 0, 0, 0, 0)
        (3122, 3122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (3124, 3124, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (3126, 3126, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (3128, 3128, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 8, 0, 0, 0, 0, 0, 0, 0)
        (3201, 3201, True, True, False, False, False, False, False, False, True, False, True, True, False, False, False, False, False, 1, 1, 0, 0, 0, 0, 0, 0, 0)
        (3203, 3203, True, True, False, False, False, False, False, False, True, False, True, True, False, False, False, False, False, 1, 3, 0, 0, 0, 0, 0, 0, 0)
        (3212, 3212, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (3214, 3214, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (3216, 3216, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (3218, 3218, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 8, 0, 0, 0, 0, 0, 0, 0)
        (3222, 3222, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (3224, 3224, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (3226, 3226, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (3228, 3228, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 8, 0, 0, 0, 0, 0, 0, 0)
        (3303, 3303, True, True, False, False, False, False, False, False, True, False, False, True, False, False, False, False, False, -2, 3, 0, 0, 0, 0, 0, 0, 0)
        (3312, 3312, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (3314, 3314, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (3322, 3322, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (3324, 3324, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (3334, 3334, True, True, False, True, True, False, False, False, True, False, False, True, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (4101, 4101, True, True, False, False, False, False, False, False, True, True, False, False, True, False, False, False, False, 1, 1, 0, 0, 0, 0, 0, 0, 0)
        (4103, 4103, True, True, False, False, False, False, False, False, True, True, False, False, True, False, False, False, False, 1, 3, 0, 0, 0, 0, 0, 0, 0)
        (4112, 4112, True, True, False, True, True, False, False, False, True, True, False, False, True, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (4114, 4114, True, True, False, True, True, False, False, False, True, True, False, False, True, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (4122, 4122, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (4132, 4132, True, True, False, True, True, False, False, False, True, True, False, True, True, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (4201, 4201, True, True, False, False, False, False, False, False, True, False, True, False, True, False, False, False, False, 4, 1, 0, 0, 0, 0, 0, 0, 0)
        (4203, 4203, True, True, False, False, False, False, False, False, True, False, True, False, True, False, False, False, False, 4, 3, 0, 0, 0, 0, 0, 0, 0)
        (4212, 4212, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (4214, 4214, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (4222, 4222, True, True, False, True, True, False, False, False, True, False, True, False, True, False, False, False, False, 6, 2, 0, 0, 0, 0, 0, 0, 0)
        (4224, 4224, True, True, False, True, True, False, False, False, True, False, True, False, True, False, False, False, False, 6, 4, 0, 0, 0, 0, 0, 0, 0)
        (4232, 4232, True, True, False, True, True, False, False, False, True, False, True, True, True, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (4301, 4301, True, True, False, False, False, False, False, False, True, False, False, True, True, False, False, False, False, 1, 1, 0, 0, 0, 0, 0, 0, 0)
        (4303, 4303, True, True, False, False, False, False, False, False, True, False, False, True, True, False, False, False, False, 1, 3, 0, 0, 0, 0, 0, 0, 0)
        (4312, 4312, True, True, False, True, True, False, False, False, True, True, False, True, True, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (4314, 4314, True, True, False, True, True, False, False, False, True, True, False, True, True, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (4322, 4322, True, True, False, True, True, False, False, False, True, False, True, True, True, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (4324, 4324, True, True, False, True, True, False, False, False, True, False, True, True, True, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (4332, 4332, True, True, False, True, True, False, False, False, True, False, False, True, True, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (4334, 4334, True, True, False, True, True, False, False, False, True, False, False, True, True, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (4403, 4403, True, True, False, False, False, False, False, False, True, False, False, False, True, False, False, False, False, 4, 3, 0, 0, 0, 0, 0, 0, 0)
        (4412, 4412, True, True, False, True, True, False, False, False, True, True, False, False, True, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (4414, 4414, True, True, False, True, True, False, False, False, True, True, False, False, True, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (4422, 4422, True, True, False, True, True, False, False, False, True, False, True, False, True, False, False, False, False, 6, 2, 0, 0, 0, 0, 0, 0, 0)
        (4424, 4424, True, True, False, True, True, False, False, False, True, False, True, False, True, False, False, False, False, 6, 4, 0, 0, 0, 0, 0, 0, 0)
        (4432, 4432, True, True, False, True, True, False, False, False, True, False, False, True, True, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (4434, 4434, True, True, False, True, True, False, False, False, True, False, False, True, True, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (4444, 4444, True, True, False, True, True, False, False, False, True, False, False, False, True, False, False, False, False, 6, 4, 0, 0, 0, 0, 0, 0, 0)
        (5101, 5101, True, True, False, False, False, False, False, False, True, True, False, False, False, True, False, False, False, -2, 1, 0, 0, 0, 0, 0, 0, 0)
        (5103, 5103, True, True, False, False, False, False, False, False, True, True, False, False, False, True, False, False, False, -2, 3, 0, 0, 0, 0, 0, 0, 0)
        (5112, 5112, True, True, False, True, True, False, False, False, True, True, False, False, False, True, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (5114, 5114, True, True, False, True, True, False, False, False, True, True, False, False, False, True, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (5122, 5122, True, True, False, True, True, False, False, False, True, True, True, False, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (5124, 5124, True, True, False, True, True, False, False, False, True, True, True, False, False, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (5132, 5132, True, True, False, True, True, False, False, False, True, True, False, True, False, True, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (5142, 5142, True, True, False, True, True, False, False, False, True, True, False, False, True, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (5201, 5201, True, True, False, False, False, False, False, False, True, False, True, False, False, True, False, False, False, 1, 1, 0, 0, 0, 0, 0, 0, 0)
        (5203, 5203, True, True, False, False, False, False, False, False, True, False, True, False, False, True, False, False, False, 1, 3, 0, 0, 0, 0, 0, 0, 0)
        (5212, 5212, True, True, False, True, True, False, False, False, True, True, True, False, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (5214, 5214, True, True, False, True, True, False, False, False, True, True, True, False, False, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (5222, 5222, True, True, False, True, True, False, False, False, True, False, True, False, False, True, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (5224, 5224, True, True, False, True, True, False, False, False, True, False, True, False, False, True, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (5232, 5232, True, True, False, True, True, False, False, False, True, False, True, True, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (5242, 5242, True, True, False, True, True, False, False, False, True, False, True, False, True, True, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (5301, 5301, True, True, False, False, False, False, False, False, True, False, False, True, False, True, False, False, False, -2, 1, 0, 0, 0, 0, 0, 0, 0)
        (5303, 5303, True, True, False, False, False, False, False, False, True, False, False, True, False, True, False, False, False, -2, 3, 0, 0, 0, 0, 0, 0, 0)
        (5312, 5312, True, True, False, True, True, False, False, False, True, True, False, True, False, True, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (5314, 5314, True, True, False, True, True, False, False, False, True, True, False, True, False, True, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (5322, 5322, True, True, False, True, True, False, False, False, True, False, True, True, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (5324, 5324, True, True, False, True, True, False, False, False, True, False, True, True, False, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (5332, 5332, True, True, False, True, True, False, False, False, True, False, False, True, False, True, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (5334, 5334, True, True, False, True, True, False, False, False, True, False, False, True, False, True, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (5342, 5342, True, True, False, True, True, False, False, False, True, False, False, True, True, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (5401, 5401, True, True, False, False, False, False, False, False, True, False, False, False, True, True, False, False, False, 1, 1, 0, 0, 0, 0, 0, 0, 0)
        (5403, 5403, True, True, False, False, False, False, False, False, True, False, False, False, True, True, False, False, False, 1, 3, 0, 0, 0, 0, 0, 0, 0)
        (5412, 5412, True, True, False, True, True, False, False, False, True, True, False, False, True, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (5414, 5414, True, True, False, True, True, False, False, False, True, True, False, False, True, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (5422, 5422, True, True, False, True, True, False, False, False, True, False, True, False, True, True, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (5424, 5424, True, True, False, True, True, False, False, False, True, False, True, False, True, True, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (5432, 5432, True, True, False, True, True, False, False, False, True, False, False, True, True, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (5434, 5434, True, True, False, True, True, False, False, False, True, False, False, True, True, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (5442, 5442, True, True, False, True, True, False, False, False, True, False, False, False, True, True, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (5444, 5444, True, True, False, True, True, False, False, False, True, False, False, False, True, True, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (5503, 5503, True, True, False, False, False, False, False, False, True, False, False, False, False, True, False, False, False, -2, 3, 0, 0, 0, 0, 0, 0, 0)
        (5512, 5512, True, True, False, True, True, False, False, False, True, True, False, False, False, True, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (5514, 5514, True, True, False, True, True, False, False, False, True, True, False, False, False, True, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (5522, 5522, True, True, False, True, True, False, False, False, True, False, True, False, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (5524, 5524, True, True, False, True, True, False, False, False, True, False, True, False, False, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (5532, 5532, True, True, False, True, True, False, False, False, True, False, False, True, False, True, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (5534, 5534, True, True, False, True, True, False, False, False, True, False, False, True, False, True, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (5542, 5542, True, True, False, True, True, False, False, False, True, False, False, False, True, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (5544, 5544, True, True, False, True, True, False, False, False, True, False, False, False, True, True, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (5554, 5554, True, True, False, True, True, False, False, False, True, False, False, False, False, True, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (10022, 10022, False, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 22, 0)
        (10111, 10111, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (10113, 10113, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (10115, 10115, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 5, 0, 2, 0, 0, 0, 0, 0)
        (10211, 10211, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 1, 1, 1, 0, 0, 0, 0, 0)
        (10213, 10213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 3, 0, 1, 0, 0, 0, 0, 0)
        (10215, 10215, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 5, 0, 2, 0, 0, 0, 0, 0)
        (10221, 10221, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (10223, 10223, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (10225, 10225, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 5, 0, 2, 0, 0, 0, 0, 0)
        (10311, 10311, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (10313, 10313, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (10315, 10315, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 5, 0, 2, 0, 0, 0, 0, 0)
        (10321, 10321, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 1, 1, 1, 0, 0, 0, 0, 0)
        (10323, 10323, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 3, 0, 1, 0, 0, 0, 0, 0)
        (10325, 10325, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 5, 0, 2, 0, 0, 0, 0, 0)
        (10331, 10331, True, True, True, False, True, False, False, False, True, False, False, True, False, False, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (10333, 10333, True, True, True, False, True, False, False, False, True, False, False, True, False, False, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (10335, 10335, True, True, True, False, True, False, False, False, True, False, False, True, False, False, False, False, False, 0, 5, 0, 2, 0, 0, 0, 0, 0)
        (10411, 10411, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, 3, 1, 1, 1, 0, 0, 0, 0, 0)
        (10413, 10413, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, 3, 3, 0, 1, 0, 0, 0, 0, 0)
        (10421, 10421, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (10423, 10423, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (10431, 10431, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, 3, 1, 1, 1, 0, 0, 0, 0, 0)
        (10433, 10433, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, 3, 3, 0, 1, 0, 0, 0, 0, 0)
        (10441, 10441, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (10443, 10443, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (10511, 10511, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (10513, 10513, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (10521, 10521, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, 3, 1, 1, 1, 0, 0, 0, 0, 0)
        (10523, 10523, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, 3, 3, 0, 1, 0, 0, 0, 0, 0)
        (10531, 10531, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (10533, 10533, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (10541, 10541, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, 3, 1, 1, 1, 0, 0, 0, 0, 0)
        (10543, 10543, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, 3, 3, 0, 1, 0, 0, 0, 0, 0)
        (10551, 10551, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (10553, 10553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (10555, 10555, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 5, 0, 2, 0, 0, 0, 0, 0)
        (11112, 11112, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (11114, 11114, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (11116, 11116, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (11212, 11212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (11216, 11216, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (12112, 12112, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (12114, 12114, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (12116, 12116, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (12118, 12118, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 8, 0, 0, 0, 0, 0, 0, 0)
        (12122, 12122, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (12126, 12126, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (12212, 12212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (12214, 12214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (12216, 12216, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (12218, 12218, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 8, 0, 0, 0, 0, 0, 0, 0)
        (12222, 12222, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, 6, 2, 0, 0, 0, 0, 0, 0, 0)
        (12224, 12224, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, 6, 4, 0, 0, 0, 0, 0, 0, 0)
        (12226, 12226, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, 6, 6, 0, 0, 0, 0, 0, 0, 0)
        (13112, 13112, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (13114, 13114, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (13116, 13116, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (13122, 13122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (13124, 13124, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (13126, 13126, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (13212, 13212, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (13214, 13214, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (13216, 13216, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (13222, 13222, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (13224, 13224, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (13226, 13226, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (13314, 13314, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (13324, 13324, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (14122, 14122, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (15122, 15122, True, True, False, True, True, False, False, False, True, True, True, False, False, True, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (20022, 20022, False, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 22, 0)
        (20113, 20113, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (20213, 20213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 3, 1, 1, 0, 0, 0, 0, 0)
        (20223, 20223, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (20313, 20313, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (20315, 20315, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 5, 1, 2, 0, 0, 0, 0, 0)
        (20323, 20323, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 3, 1, 1, 0, 0, 0, 0, 0)
        (20325, 20325, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 5, 1, 2, 0, 0, 0, 0, 0)
        (20333, 20333, True, True, True, False, True, False, False, False, True, False, False, True, False, False, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (20413, 20413, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, 3, 3, 1, 1, 0, 0, 0, 0, 0)
        (20423, 20423, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (20433, 20433, True, True, True, False, True, False, False, False, True, False, False, True, True, False, False, False, False, 3, 3, 1, 1, 0, 0, 0, 0, 0)
        (20443, 20443, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (20513, 20513, True, True, True, False, True, False, False, False, True, True, False, False, False, True, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (20523, 20523, True, True, True, False, True, False, False, False, True, False, True, False, False, True, False, False, False, 3, 3, 1, 1, 0, 0, 0, 0, 0)
        (20533, 20533, True, True, True, False, True, False, False, False, True, False, False, True, False, True, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (20543, 20543, True, True, True, False, True, False, False, False, True, False, False, False, True, True, False, False, False, 3, 3, 1, 1, 0, 0, 0, 0, 0)
        (20553, 20553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (20555, 20555, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 5, 1, 2, 0, 0, 0, 0, 0)
        (21112, 21112, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (21114, 21114, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (21212, 21212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (21214, 21214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (22112, 22112, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (22114, 22114, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (22122, 22122, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (22124, 22124, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (22212, 22212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (22214, 22214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (22222, 22222, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, 6, 2, 0, 0, 0, 0, 0, 0, 0)
        (22224, 22224, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, 6, 4, 0, 0, 0, 0, 0, 0, 0)
        (23112, 23112, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (23114, 23114, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (23122, 23122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (23124, 23124, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (23126, 23126, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (23212, 23212, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (23214, 23214, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (23222, 23222, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (23224, 23224, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (30113, 30113, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 1, 2, 0, 0, 0, 0, 0)
        (30213, 30213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 3, 1, 2, 0, 0, 0, 0, 0)
        (30223, 30223, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 3, 1, 2, 0, 0, 0, 0, 0)
        (30313, 30313, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 3, 1, 2, 0, 0, 0, 0, 0)
        (30323, 30323, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 3, 1, 2, 0, 0, 0, 0, 0)
        (30343, 30343, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (30353, 30353, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 3, 0, 0, 0, 0, 0, 0, 0)
        (30363, 30363, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (30443, 30443, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 3, 1, 2, 0, 0, 0, 0, 0)
        (30553, 30553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 1, 2, 0, 0, 0, 0, 0)
        (31114, 31114, True, True, False, True, True, False, False, False, True, True, False, False, False, False, False, False, False, -3, 4, 0, 0, 0, 0, 0, 0, 0)
        (31214, 31214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (32112, 32112, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (32114, 32114, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (32124, 32124, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (32212, 32212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (32214, 32214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (32224, 32224, True, True, False, True, True, False, False, False, True, False, True, False, False, False, False, False, False, 6, 4, 0, 0, 0, 0, 0, 0, 0)
        (33122, 33122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (41214, 41214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (42112, 42112, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (42124, 42124, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (42212, 42212, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (43122, 43122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (52114, 52114, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (52214, 52214, True, True, False, True, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (53122, 53122, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (100111, 100111, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (100113, 100113, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (100211, 100211, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (100213, 100213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 3, 1, 0, 0, 0, 0, 0, 0)
        (100221, 100221, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (100223, 100223, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (100311, 100311, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (100313, 100313, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (100315, 100315, True, True, True, False, True, False, False, False, True, True, False, True, False, False, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (100321, 100321, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (100323, 100323, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 3, 1, 0, 0, 0, 0, 0, 0)
        (100325, 100325, True, True, True, False, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 5, 1, 1, 0, 0, 0, 0, 0)
        (100331, 100331, True, True, True, False, True, False, False, False, True, False, False, True, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (100333, 100333, True, True, True, False, True, False, False, False, True, False, False, True, False, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (100411, 100411, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (100413, 100413, True, True, True, False, True, False, False, False, True, True, False, False, True, False, False, False, False, 3, 3, 1, 0, 0, 0, 0, 0, 0)
        (100421, 100421, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (100423, 100423, True, True, True, False, True, False, False, False, True, False, True, False, True, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (100441, 100441, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (100443, 100443, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (100445, 100445, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (100551, 100551, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (100553, 100553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (100555, 100555, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (100557, 100557, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 7, 1, 2, 0, 0, 0, 0, 0)
        (103112, 103112, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (103212, 103212, True, True, False, True, True, False, False, False, True, True, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (103222, 103222, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (103316, 103316, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (103326, 103326, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (104124, 104124, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (104312, 104312, True, True, False, True, True, False, False, False, True, True, False, True, True, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (104314, 104314, True, True, False, True, True, False, False, False, True, True, False, True, True, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 0, 0)
        (104322, 104322, True, True, False, True, True, False, False, False, True, False, True, True, True, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 0, 0)
        (104324, 104324, True, True, False, True, True, False, False, False, True, False, True, True, True, False, False, False, False, 3, 4, 0, 0, 0, 0, 0, 0, 0)
        (110551, 110551, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (110553, 110553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (110555, 110555, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 5, 0, 2, 0, 0, 0, 0, 0)
        (120553, 120553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (120555, 120555, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 5, 1, 2, 0, 0, 0, 0, 0)
        (130553, 130553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 1, 2, 0, 0, 0, 0, 0)
        (200551, 200551, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (200553, 200553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (200555, 200555, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 5, 1, 1, 0, 0, 0, 0, 0)
        (203312, 203312, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (203316, 203316, True, True, False, True, True, False, False, False, True, True, False, True, False, False, False, False, False, -3, 6, 0, 0, 0, 0, 0, 0, 0)
        (203322, 203322, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 0, 0)
        (203326, 203326, True, True, False, True, True, False, False, False, True, False, True, True, False, False, False, False, False, 0, 6, 0, 0, 0, 0, 0, 0, 0)
        (203338, 203338, True, True, False, True, True, False, False, False, True, False, False, True, False, False, False, False, False, -3, 8, 0, 0, 0, 0, 0, 0, 0)
        (204126, 204126, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, 3, 6, 0, 0, 0, 0, 0, 0, 0)
        (210551, 210551, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 1, 1, 1, 0, 0, 0, 0, 0)
        (210553, 210553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 0, 1, 0, 0, 0, 0, 0)
        (220553, 220553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 1, 1, 0, 0, 0, 0, 0)
        (300553, 300553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 1, 0, 0, 0, 0, 0, 0)
        (1000001, 1000001, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -1, 1, 0, 0, 0, 0, 0, 1, 0)
        (1000002, 1000002, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 2, 1, 0, 0, 0, 0, 0, 2, 0)
        (1000003, 1000003, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -1, 1, 0, 0, 0, 0, 0, 3, 0)
        (1000004, 1000004, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 2, 1, 0, 0, 0, 0, 0, 4, 0)
        (1000005, 1000005, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -1, 1, 0, 0, 0, 0, 0, 5, 0)
        (1000006, 1000006, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 2, 1, 0, 0, 0, 0, 0, 6, 0)
        (1000011, 1000011, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 11, 0)
        (1000012, 1000012, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 12, 0)
        (1000013, 1000013, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 13, 0)
        (1000014, 1000014, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 14, 0)
        (1000015, 1000015, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 15, 0)
        (1000016, 1000016, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 16, 0)
        (1000021, 1000021, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 21, 0)
        (1000022, 1000022, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 22, 0)
        (1000023, 1000023, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 23, 0)
        (1000024, 1000024, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 24, 0)
        (1000025, 1000025, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 25, 0)
        (1000035, 1000035, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 35, 0)
        (1000037, 1000037, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 2, 0, 0, 0, 0, 0, 37, 0)
        (1000039, 1000039, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 4, 0, 0, 0, 0, 0, 10, 0)
        (1000522, 1000522, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (1000542, 1000542, True, False, False, False, False, False, False, False, True, False, False, False, False, True, False, False, False, -3, 2, 0, 0, 0, 0, 0, 0, 0)
        (1009002, 1009002, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 21, 0)
        (2000001, 2000001, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -1, 1, 0, 0, 0, 0, 0, 1, 0)
        (2000002, 2000002, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 2, 1, 0, 0, 0, 0, 0, 2, 0)
        (2000003, 2000003, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -1, 1, 0, 0, 0, 0, 0, 3, 0)
        (2000004, 2000004, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 2, 1, 0, 0, 0, 0, 0, 4, 0)
        (2000005, 2000005, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -1, 1, 0, 0, 0, 0, 0, 5, 0)
        (2000006, 2000006, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 2, 1, 0, 0, 0, 0, 0, 6, 0)
        (2000011, 2000011, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 11, 0)
        (2000012, 2000012, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 12, 0)
        (2000013, 2000013, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 13, 0)
        (2000014, 2000014, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 14, 0)
        (2000015, 2000015, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 1, 0, 0, 0, 0, 0, 15, 0)
        (2000016, 2000016, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 16, 0)
        (3000111, 3000111, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (3000113, 3000113, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (3000211, 3000211, True, False, False, False, False, False, False, False, True, True, True, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (3000213, 3000213, True, False, False, False, False, False, False, False, True, True, True, False, False, False, False, False, False, 3, 3, 0, 0, 0, 0, 0, 0, 0)
        (3000221, 3000221, True, False, False, False, False, False, False, False, True, False, True, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (3000223, 3000223, True, False, False, False, False, False, False, False, True, False, True, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (3000331, 3000331, True, False, False, False, False, False, False, False, True, False, False, True, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (3100021, 3100021, True, False, False, False, False, False, False, False, True, True, True, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (3100111, 3100111, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (3100113, 3100113, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (3200111, 3200111, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (3200113, 3200113, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (3300113, 3300113, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (3400113, 3400113, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (4000001, 4000001, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -1, 2, 0, 0, 0, 0, 0, 1, 0)
        (4000002, 4000002, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 2, 2, 0, 0, 0, 0, 0, 2, 0)
        (4000011, 4000011, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, -3, 2, 0, 0, 0, 0, 0, 11, 0)
        (4000012, 4000012, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 12, 0)
        (4900021, 4900021, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 21, 0)
        (4900023, 4900023, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 23, 0)
        (4900101, 4900101, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (4900111, 4900111, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (4900113, 4900113, True, False, False, False, False, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (4900211, 4900211, True, False, False, False, False, False, False, False, True, False, True, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (4900213, 4900213, True, False, False, False, False, False, False, False, True, False, True, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (5000039, 5000039, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 5, 0, 0, 0, 0, 0, 39, 0)
        (9000111, 9000111, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (9000113, 9000113, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (9000211, 9000211, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (9000213, 9000213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 3, 0, 0, 0, 0, 0, 0, 0)
        (9000221, 9000221, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (9000443, 9000443, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (9000553, 9000553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (9010111, 9010111, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (9010113, 9010113, True, True, True, False, True, False, False, False, True, True, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (9010211, 9010211, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 1, 0, 0, 0, 0, 0, 0, 0)
        (9010213, 9010213, True, True, True, False, True, False, False, False, True, True, True, False, False, False, False, False, False, 3, 3, 0, 0, 0, 0, 0, 0, 0)
        (9010221, 9010221, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (9010443, 9010443, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (9010553, 9010553, True, True, True, False, True, False, False, False, True, False, False, False, False, True, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (9020221, 9020221, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (9020443, 9020443, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (9030221, 9030221, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 1, 0, 0, 0, 0, 0, 0, 0)
        (9042413, 9042413, True, True, False, True, True, False, False, False, True, True, True, False, True, False, False, False, False, 3, 3, 0, 0, 0, 0, 0, 0, 0)
        (9050225, 9050225, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 5, 0, 0, 0, 0, 0, 0, 0)
        (9060225, 9060225, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 5, 0, 0, 0, 0, 0, 0, 0)
        (9080225, 9080225, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 5, 0, 0, 0, 0, 0, 0, 0)
        (9090225, 9090225, True, True, True, False, True, False, False, False, True, False, True, False, False, False, False, False, False, 0, 5, 0, 0, 0, 0, 0, 0, 0)
        (9900012, 9900012, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 12, 0)
        (9900014, 9900014, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 14, 0)
        (9900016, 9900016, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 2, 0, 0, 0, 0, 0, 16, 0)
        (9900023, 9900023, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 23, 0)
        (9900024, 9900024, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 3, 3, 0, 0, 0, 0, 0, 24, 0)
        (9900041, 9900041, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 6, 1, 0, 0, 0, 0, 0, 9, 0)
        (9900042, 9900042, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 6, 1, 0, 0, 0, 0, 0, 9, 0)
        (9910445, 9910445, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 5, 0, 0, 0, 0, 0, 0, 0)
        (9920443, 9920443, True, True, True, False, True, False, False, False, True, False, False, False, True, False, False, False, False, 0, 3, 0, 0, 0, 0, 0, 0, 0)
        (480000000, 480000000, True, True, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, 0, 0, 0, 0, 0, 0, 0, 0, 48)
        (1000010020, 1000010020, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 3, 1, 0, 0, 1, 2, 0, 0, 100)
        (1000010030, 1000010030, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 3, 2, 0, 0, 1, 3, 0, 0, 100)
        (1000020030, 1000020030, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 6, 2, 0, 0, 2, 3, 0, 0, 100)
        (1000020040, 1000020040, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 6, 1, 0, 0, 2, 4, 0, 0, 100)
        (1000030070, 1000030070, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 9, 2, 0, 0, 3, 7, 0, 0, 100)
        (1000040080, 1000040080, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 12, 1, 0, 0, 4, 8, 0, 0, 100)
        (1000040090, 1000040090, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 12, 2, 0, 0, 4, 9, 0, 0, 100)
        (1000040100, 1000040100, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 12, 1, 0, 0, 4, 10, 0, 0, 100)
        (1000050100, 1000050100, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 15, 1, 0, 0, 5, 10, 0, 0, 100)
        (1000050110, 1000050110, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 15, 2, 0, 0, 5, 11, 0, 0, 100)
        (1000050120, 1000050120, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 15, 1, 0, 0, 5, 12, 0, 0, 100)
        (1000060120, 1000060120, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 18, 1, 0, 0, 6, 12, 0, 0, 100)
        (1000060130, 1000060130, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 18, 2, 0, 0, 6, 13, 0, 0, 100)
        (1000060140, 1000060140, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 18, 1, 0, 0, 6, 14, 0, 0, 100)
        (1000070140, 1000070140, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 21, 1, 0, 0, 7, 14, 0, 0, 100)
        (1000070150, 1000070150, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 21, 2, 0, 0, 7, 15, 0, 0, 100)
        (1000070160, 1000070160, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 21, 1, 0, 0, 7, 16, 0, 0, 100)
        (1000080160, 1000080160, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 24, 1, 0, 0, 8, 16, 0, 0, 100)
        (1000080170, 1000080170, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 24, 2, 0, 0, 8, 17, 0, 0, 100)
        (1000080180, 1000080180, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 24, 1, 0, 0, 8, 18, 0, 0, 100)
        (1000080190, 1000080190, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 24, 2, 0, 0, 8, 19, 0, 0, 100)
        (1000090190, 1000090190, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 27, 2, 0, 0, 9, 19, 0, 0, 100)
        (1000100220, 1000100220, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 30, 1, 0, 0, 10, 22, 0, 0, 100)
        (1000100230, 1000100230, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 30, 2, 0, 0, 10, 23, 0, 0, 100)
        (1000110240, 1000110240, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 33, 1, 0, 0, 11, 24, 0, 0, 100)
        (1000120240, 1000120240, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 36, 1, 0, 0, 12, 24, 0, 0, 100)
        (1000120250, 1000120250, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 36, 2, 0, 0, 12, 25, 0, 0, 100)
        (1000120260, 1000120260, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 36, 1, 0, 0, 12, 26, 0, 0, 100)
        (1000120270, 1000120270, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 36, 2, 0, 0, 12, 27, 0, 0, 100)
        (1000130270, 1000130270, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 39, 2, 0, 0, 13, 27, 0, 0, 100)
        (1000130280, 1000130280, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 39, 1, 0, 0, 13, 28, 0, 0, 100)
        (1000140280, 1000140280, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 42, 1, 0, 0, 14, 28, 0, 0, 100)
        (1000140290, 1000140290, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 42, 2, 0, 0, 14, 29, 0, 0, 100)
        (1000140300, 1000140300, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 42, 1, 0, 0, 14, 30, 0, 0, 100)
        (1000150310, 1000150310, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 45, 2, 0, 0, 15, 31, 0, 0, 100)
        (1000170390, 1000170390, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 51, 2, 0, 0, 17, 39, 0, 0, 100)
        (1000170400, 1000170400, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 51, 1, 0, 0, 17, 40, 0, 0, 100)
        (1000180360, 1000180360, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 54, 1, 0, 0, 18, 36, 0, 0, 100)
        (1000180400, 1000180400, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 54, 1, 0, 0, 18, 40, 0, 0, 100)
        (1000240500, 1000240500, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 72, 1, 0, 0, 24, 50, 0, 0, 100)
        (1000240520, 1000240520, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 72, 1, 0, 0, 24, 52, 0, 0, 100)
        (1000240530, 1000240530, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 72, 2, 0, 0, 24, 53, 0, 0, 100)
        (1000240540, 1000240540, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 72, 1, 0, 0, 24, 54, 0, 0, 100)
        (1000250550, 1000250550, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 75, 2, 0, 0, 25, 55, 0, 0, 100)
        (1000260540, 1000260540, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 78, 1, 0, 0, 26, 54, 0, 0, 100)
        (1000260560, 1000260560, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 78, 1, 0, 0, 26, 56, 0, 0, 100)
        (1000260570, 1000260570, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 78, 2, 0, 0, 26, 57, 0, 0, 100)
        (1000260590, 1000260590, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 78, 2, 0, 0, 26, 59, 0, 0, 100)
        (1000280580, 1000280580, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 84, 1, 0, 0, 28, 58, 0, 0, 100)
        (1000280600, 1000280600, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 84, 1, 0, 0, 28, 60, 0, 0, 100)
        (1000280610, 1000280610, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 84, 2, 0, 0, 28, 61, 0, 0, 100)
        (1000280620, 1000280620, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 84, 1, 0, 0, 28, 62, 0, 0, 100)
        (1000280630, 1000280630, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 84, 2, 0, 0, 28, 63, 0, 0, 100)
        (1000280640, 1000280640, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 84, 1, 0, 0, 28, 64, 0, 0, 100)
        (1000290630, 1000290630, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 87, 2, 0, 0, 29, 63, 0, 0, 100)
        (1000290650, 1000290650, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 87, 2, 0, 0, 29, 65, 0, 0, 100)
        (1000420920, 1000420920, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 126, 1, 0, 0, 42, 92, 0, 0, 100)
        (1000420950, 1000420950, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 126, 2, 0, 0, 42, 95, 0, 0, 100)
        (1000420960, 1000420960, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 126, 1, 0, 0, 42, 96, 0, 0, 100)
        (1000420970, 1000420970, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 126, 2, 0, 0, 42, 97, 0, 0, 100)
        (1000420980, 1000420980, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 126, 1, 0, 0, 42, 98, 0, 0, 100)
        (1000421000, 1000421000, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 126, 1, 0, 0, 42, 100, 0, 0, 100)
        (1000461080, 1000461080, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 138, 1, 0, 0, 46, 108, 0, 0, 100)
        (1000791970, 1000791970, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 237, 2, 0, 0, 79, 197, 0, 0, 100)
        (1000822040, 1000822040, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 246, 1, 0, 0, 82, 204, 0, 0, 100)
        (1000822060, 1000822060, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 246, 1, 0, 0, 82, 206, 0, 0, 100)
        (1000822070, 1000822070, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 246, 2, 0, 0, 82, 207, 0, 0, 100)
        (1000822080, 1000822080, True, True, False, False, False, False, True, False, False, False, False, False, False, False, False, False, False, 246, 1, 0, 0, 82, 208, 0, 0, 100)
        """)
